pangomm 2.40.2

Public Types | Static Public Member Functions | List of all members
Pango::AttributeTraits Struct Reference

`#include <pangomm/attributes.h>`

## Public Types
typedef Pango::Attribute | CppType
typedef const PangoAttribute* | CType
typedef PangoAttribute* | CTypeNonConst

## Static Public Member Functions
static CType | to_c_type (const CppType& obj)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Member Typedef Documentation

## ◆ CppType

typedef Pango::Attribute Pango::AttributeTraits::CppType

## ◆ CType

typedef const PangoAttribute* Pango::AttributeTraits::CType

## ◆ CTypeNonConst

typedef PangoAttribute* Pango::AttributeTraits::CTypeNonConst

## Member Function Documentation

## ◆ release_c_type()

static void Pango::AttributeTraits::release_c_type | ( | CType | ptr | ) |
| inline static

## ◆ to_c_type() [1/2]

static CType Pango::AttributeTraits::to_c_type | ( | const CppType& | obj | ) |
| inline static

## ◆ to_c_type() [2/2]

static CType Pango::AttributeTraits::to_c_type | ( | CType | ptr | ) |
| inline static

## ◆ to_cpp_type()

static CppType Pango::AttributeTraits::to_cpp_type | ( | CType | ptr | ) |
| inline static